SkmXmlApi

Classes | Static Public Member Functions | Properties | List of all members
SkmXmlApi.IdentityAttributesCommand Class Reference

A command for retrieving global settings. More...

Inheritance diagram for SkmXmlApi.IdentityAttributesCommand:

## Static Public Member Functions
static IdentityAttributesCommand | NewIdentityAttributesCommand (SkmSession session)
| Creates new identity attributes command. More...

## Properties
IdentityAttributes | Attributes`[get]`
| Global attributes. More...
string? | TimeFormat`[get]`
| Time format converted to C# date-time format. More...
Properties inherited from SkmXmlApi.APICommand
string | BaseUrl`[get]`
| Gets the base Url for making requests to the Skm Api More...
Properties inherited from SkmXmlApi.SkmBase
SkmSession | Session`[get]`
| The current Skm session of the Skm object More...

## Additional Inherited Members
Public Member Functions inherited from SkmXmlApi.SkmBase
| SkmBase (SkmSession Session)
| Constructor More...
Protected Member Functions inherited from SkmXmlApi.APICommand
| APICommand (SkmSession Session)
| Constructor More...
Static Protected Member Functions inherited from SkmXmlApi.APICommand
static XmlDocument | ExecuteCommand (WebClient client, string Url)
| Executes a command via Http on the Skm server More...
Protected Attributes inherited from SkmXmlApi.SkmBase
SkmSession | m_session
| Reference to the Skm session of the object More...

## Detailed Description

A command for retrieving global settings.

## Member Function Documentation

## ◆ NewIdentityAttributesCommand()

static IdentityAttributesCommand SkmXmlApi.IdentityAttributesCommand.NewIdentityAttributesCommand | ( | SkmSession | session | ) |
| static

Creates new identity attributes command.

Parameters

  session | Skm session

Returns
  identity attributes command

## Property Documentation

## ◆ Attributes

IdentityAttributes SkmXmlApi.IdentityAttributesCommand.Attributes
| get

Global attributes.

## ◆ TimeFormat

string? SkmXmlApi.IdentityAttributesCommand.TimeFormat
| get

Time format converted to C# date-time format.

The documentation for this class was generated from the following file:

- src/SkmXmlApi/IdentityAttributesCommand.cs